Project

General

Profile

Evolution #1570

PHP 8.1 compat

Added by Johan Cwiklinski 2 months ago. Updated 25 days ago.

Status:
Fermé
Priority:
Bas
Category:
Core
Target version:
Start date:
09/24/2021
Due date:
% Done:

100%

Estimated time:
Vote:

Description

Again a new PHP version, again issues with 3rd party libraries (maybe Galette itself, I do not know yet).

#1

Updated by Johan Cwiklinski about 2 months ago

- update tests does not run silently, even with a 8.1 patched atoum (several PRs has been proposed)
- smarty is not compliant (it is not 8.0 compliant...)
- smarty-view is not compatible (not maintained at all)
- I'm almost sure Slim v3 will cause issues

#2

Updated by Johan Cwiklinski about 2 months ago

  • Priority changed from Normal to Bas
#3

Updated by Johan Cwiklinski 25 days ago

  • Status changed from Nouveau to Résolu
  • Assignee set to Johan Cwiklinski
  • Target version set to 0.9.5.2
  • % Done changed from 0 to 100
#4

Updated by Johan Cwiklinski 25 days ago

  • Status changed from Résolu to Fermé

Test suite is now OK; and local tests I've done on my side as well... It's still possible there are some I did not see yet of course.

Also available in: Atom PDF